Bug 998150 - pulseaudio is unable to access files in /dev/snd
pulseaudio is unable to access files in /dev/snd
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 14:25 EDT by Bruno Wolff III
Modified: 2015-06-29 08:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:17:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2013-08-17 14:25:46 EDT
Description of problem:

pulseaudio is not able to access files in /dev/snd which prevents me from playing sound on my headset or speakers. The files are protected with 660 and group owned by audio. Changing the protection to 666 and restarting pulseaudio allows me to get sound.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Rex Dieter 2013-08-17 14:33:04 EDT
local sessions are supposed to be granted permission to local devices via systemd-login1 (and friends).  nothing to do with pulseaudio really.

does,

$ systemd-loginctl

list your current session?  (related, how did you login?  gdm/kdm/lightdm or other?)
Comment 2 Bruno Wolff III 2013-08-17 15:44:01 EDT
I don't seem to have systemd-loginctl in my path. Is that the correct name?
I use kdm to login, but it has been having problems. It doesn't work on boot, so I have been restarting it from a vt. Then I login to xfce.
Comment 3 Bruno Wolff III 2013-08-17 15:48:20 EDT
Maybe it's just loginctl now?

[root@bruno bruno]# loginctl
   SESSION        UID USER             SEAT            
         2        513 bruno            seat0           

1 sessions listed.
Comment 4 Rex Dieter 2013-08-17 17:51:10 EDT
Oh, ok, neat, well they should both be there:

$ rpm -q -f /usr/bin/loginctl /usr/bin/systemd-loginctl 
systemd-204-9.fc19.x86_64
systemd-204-9.fc19.x86_64
Comment 5 Bruno Wolff III 2013-08-17 18:11:23 EDT
[root@bruno bruno]# rpm -q systemd
systemd-206-3.fc20.i686
[root@bruno bruno]# rpm -qf /usr/bin/loginctl /usr/bin/systemd-loginctl
systemd-206-3.fc20.i686
error: file /usr/bin/systemd-loginctl: No such file or directory

It looks like it might have been renamed in the rawhide version of systemd.
Comment 6 Bruno Wolff III 2013-08-29 00:24:14 EDT
Tonight I had kdm start up normally during boot and the sound wasn't messed up. Perhaps the sound issue is related to restarting kdm from a VT?
Comment 7 Fedora End Of Life 2013-09-16 12:35:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 8 Fedora End Of Life 2015-05-29 05:19:49 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 08:17:25 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.